Loading...
Searching...
No Matches
VmaVirtualBlock Struct Reference
Virtual allocator

Handle to a virtual block object that allows to use core allocation algorithm without allocating any real GPU memory. More...

## Detailed Description

Handle to a virtual block object that allows to use core allocation algorithm without allocating any real GPU memory.

Fill in VmaVirtualBlockCreateInfo structure and use vmaCreateVirtualBlock() to create it. Use vmaDestroyVirtualBlock() to destroy it. For more information, see documentation chapter Virtual allocator.

This object is not thread-safe - should not be used from multiple threads simultaneously, must be synchronized externally.

The documentation for this struct was generated from the following file:

- vk_mem_alloc.h